Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
stati128 Struct Reference

`#include <win32.h>`

## Data Fields
_dev_t | st_dev
unsigned __int64 | st_ino
__int64 | st_inohigh
unsigned short | st_mode
short | st_nlink
short | st_uid
short | st_gid
_dev_t | st_rdev
__int64 | st_size
__time64_t | st_atime
long | st_atimensec
__time64_t | st_mtime
long | st_mtimensec
__time64_t | st_ctime
long | st_ctimensec

## Detailed Description

Definition at line 176 of file win32.h.

## Field Documentation

## ◆ st_atime

__time64_t stati128::st_atime

Definition at line 186 of file win32.h.

## ◆ st_atimensec

long stati128::st_atimensec

Definition at line 187 of file win32.h.

## ◆ st_ctime

__time64_t stati128::st_ctime

Definition at line 190 of file win32.h.

## ◆ st_ctimensec

long stati128::st_ctimensec

Definition at line 191 of file win32.h.

## ◆ st_dev

_dev_t stati128::st_dev

Definition at line 177 of file win32.h.

## ◆ st_gid

short stati128::st_gid

Definition at line 183 of file win32.h.

## ◆ st_ino

unsigned __int64 stati128::st_ino

Definition at line 178 of file win32.h.

## ◆ st_inohigh

__int64 stati128::st_inohigh

Definition at line 179 of file win32.h.

## ◆ st_mode

unsigned short stati128::st_mode

Definition at line 180 of file win32.h.

## ◆ st_mtime

__time64_t stati128::st_mtime

Definition at line 188 of file win32.h.

## ◆ st_mtimensec

long stati128::st_mtimensec

Definition at line 189 of file win32.h.

## ◆ st_nlink

short stati128::st_nlink

Definition at line 181 of file win32.h.

## ◆ st_rdev

_dev_t stati128::st_rdev

Definition at line 184 of file win32.h.

## ◆ st_size

__int64 stati128::st_size

Definition at line 185 of file win32.h.

## ◆ st_uid

short stati128::st_uid

Definition at line 182 of file win32.h.

The documentation for this struct was generated from the following file:

- include/ruby/win32.h